/*
 * This file is part of Rahmenwerk.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 *
 * Copyright (c) 2008 Dambach Werke GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * Dambach Werke GmbH - initial API and implementation
 *
 *
 *
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */
package de.bsvrz.buv.plugin.pruefrw.statusleiste;

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.swt.widgets.Button;

public class Test extends Composite
{

	private Group groupTest = null;
	private Label labelEingabe1 = null;
	private Text textEingabefeld = null;
	private Button button = null;
	private Label labelEingabe2 = null;
	private Text textEingabe2 = null;
	private Button button2 = null;

	public Test(Composite parent, int style)
	{
		super(parent, style);
		initialize();
	}

	private void initialize()
	{
		createGroupTest();
		setSize(new Point(300, 200));
		setLayout(new GridLayout());
	}

	/**
	 * This method initializes groupTest	
	 *
	 */
	private void createGroupTest()
	{
		GridData gridData2 = new GridData();
		gridData2.grabExcessHorizontalSpace = false;
		gridData2.verticalAlignment = GridData.CENTER;
		gridData2.horizontalAlignment = GridData.FILL;
		GridData gridData1 = new GridData();
		gridData1.grabExcessHorizontalSpace = false;
		gridData1.verticalAlignment = GridData.CENTER;
		gridData1.horizontalAlignment = GridData.FILL;
		GridData gridData = new GridData();
		gridData.grabExcessHorizontalSpace = true;
		gridData.verticalAlignment = GridData.CENTER;
		gridData.horizontalAlignment = GridData.FILL;
		GridData gridDataEingabe = new GridData();
		gridDataEingabe.grabExcessHorizontalSpace = true;
		gridDataEingabe.verticalAlignment = GridData.CENTER;
		gridDataEingabe.horizontalAlignment = GridData.FILL;
		GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 3;
		GridData gridDataGruppe = new GridData();
		gridDataGruppe.horizontalAlignment = GridData.FILL;
		gridDataGruppe.grabExcessHorizontalSpace = true;
		gridDataGruppe.grabExcessVerticalSpace = true;
		gridDataGruppe.verticalAlignment = GridData.FILL;
		groupTest = new Group(this, SWT.NONE);
		groupTest.setLayoutData(gridDataGruppe);
		groupTest.setLayout(gridLayout);
		groupTest.setText("Gruppe");
		labelEingabe1 = new Label(groupTest, SWT.NONE);
		labelEingabe1.setText("Eingabe:");
		textEingabefeld = new Text(groupTest, SWT.BORDER);
		textEingabefeld.setLayoutData(gridDataEingabe);
		button = new Button(groupTest, SWT.NONE);
		button.setText("Button 1");
		button.setLayoutData(gridData2);
		labelEingabe2 = new Label(groupTest, SWT.NONE);
		labelEingabe2.setText("Eingabe2:");
		textEingabe2 = new Text(groupTest, SWT.BORDER);
		textEingabe2.setLayoutData(gridData);
		button2 = new Button(groupTest, SWT.NONE);
		button2.setText("bu");
		button2.setLayoutData(gridData1);
	}

}
