package de.bsvrz.buv.plugin.ereigniskal;

import java.util.EventObject;
import java.util.List;

public class EreignisKalenderEreignis extends EventObject
{
  private static final long serialVersionUID = 1365256169927819794L;

  /**
   * Liste der Ereignisse
   */
  private List<Eintrag> _eintraege = null;

  /**
   * Konstruktor
   * 
   * @param quelle
   *          Quelle des Events.
   * @param eintraege
   *          Ereignisse.
   */
  public EreignisKalenderEreignis(Object quelle, List<Eintrag> eintraege)
  {
    super(quelle);
    this._eintraege = eintraege;
  }

  /**
   * Liefert die empfangenen Ereignisse zurck.
   * 
   * @return Ereignisse.
   */
  public List<Eintrag> getEreignisKalenderEintraege()
  {
    return this._eintraege;
  }

}
